program fibonacci
    implicit none
    integer n, penultimo, ultimo, proximo, cont

    write(*,*) "Programa que imprime N termos da série de Fibonacci (N >= 3)"
    write(*,*) 
    write(*,*) "Digite o valor de N"   
    read(*,*) n
 
    write(*,*)
    penultimo = 0
    ultimo = 1
    write(*,*) penultimo
    write(*,*) ultimo

    do cont = 3, n, 1
      proximo = penultimo + ultimo
      write(*,*) proximo
      penultimo = ultimo
      ultimo = proximo
    end do   

    stop
end program fibonacci